# Summary

This is the TOC file used by the gitbook generator.
To generate and serve static content, run:

```shell
gitbook serve
```

* [Introduction](README.md)
* [Overview of Voltha]()
* [Recommended Lab Test Scenarios](labtests/README.md)
    * [Requirements](labtests/requirements.md)
    * [Preparation](labtests/preparations.md)
    * [Voltha Bringup Tests](labtests/V00_voltha.md)
        * [V1 - Deploy Voltha and Verify its Vital Signs](labtests/V01_voltha_bringup_deploy.md)
        * [V2 - Connect to Voltha with REST and Web Browser](labtests/V02_voltha_bringup_rest.md)
        * [V3 - Connect to Voltha via its CLI](labtests/V03_voltha_bringup_cli.md)
        * [V4 - View Voltha Async Events with Kafkacat](labtests/V04_voltha_bringup_async.md)
    * [PONSIM Tests](labtests/S00_ponsim_tests.md)
        * [S1 - Launch PONSIM and Activate it From Voltha](labtests/S01_ponsim_tests_launch_and_activate.md)
        * [S2 - Manually Install EAPOL Forwarding Flows](labtests/S02_ponsim_tests_eapol_install.md)
        * [S3 - Test EAPOL In/Out Forwarding with OLT-OFTEST](labtests/S03_ponsim_tests_eapol_in_out.md)
        * [S4 - Manually Install All Forwarding Flows](labtests/S04_ponsim_tests_install_all_flows.md)
        * [S5 - Test unicast (Internet) access](labtests/S05_ponsim_tests_unicast.md)
        * [S6 - Test IGMP and multicast (Video) streams](labtests/S06_ponsim_tests_multicast.md)
    * [Maple OLT Tests](labtests/M00_maple_olt_tests.md)
        * [M1 - Preprovision and Activate OLT](labtests/M01_maple_olt_tests_activate_olt.md)
        * [M2 - Activate ONU](labtests/M02_maple_olt_tests_activate_onu.md)
        * [M3 - Manually Install EAPOL Forwarding Flows](labtests/M03_maple_olt_tests_eapol_install.md)
        * [M4 - Test EAPOL In/Out Forwarding with OLT-OFTEST](labtests/M04_maple_olt_tests_eapol_in_out.md)
        * [M5 - Manually Install All Forwarding Flows](labtests/M05_maple_olt_tests_install_all_flows.md)
        * [M6 - Test unicast (Internet) access](labtests/M06_maple_olt_tests_unicast.md)
        * [M7 - Test IGMP and multicast (Video) streams](labtests/M07_maple_olt_tests_multicast.md)
        * [M8 - Reset Manually Added Flows and Launch ONOS](labtests/M08_maple_olt_tests_start_onos.md)
        * [M9 - Verify RG Authentication Scenario](labtests/M09_maple_olt_tests_verify_authentication.md)
        * [M10 - Verify DHCP Lookup](labtests/M10_maple_olt_tests_verify_dhcp.md)
        * [M11 - Verify Unicast Access](labtests/M11_maple_olt_tests_verify_unicast.md)
        * [M12 - Verify Multicast Access](labtests/M12_maple_olt_tests_verify_multicast.md)
        * [M13 - Spirent - Verify Re-Write C-VID Upstream](labtests/M13_maple_olt_tests_verify_cvid_upstream.md)
        * [M14 - Spirent - Verify Re-Write C-VID Downstream](labtests/M14_maple_olt_tests_verify_cvid_downstream.md)
        * [M15 - Spirent - Verify 802.1ad (QinQ) Upstream](labtests/M15_maple_olt_tests_verify_qinq_upstream.md)
        * [M16 - Spirent - Verify 802.1ad (QinQ) Downstream](labtests/M16_maple_olt_tests_verify_qinq_downstream.md)
        * [M17 - Spirent - Verify IPv4 Unicast Streams Downstream](labtests/M17_maple_olt_tests_verify_ipv4_downstream.md)
        * [M18 - Spirent - Verify IPv4 Unicast Streams Downstream Case2](labtests/M18_maple_olt_tests_verify_ipv4_downstream_case2.md)
        * [M19 - 10k and 20k ONU Ranging](labtests/M19_maple_olt_tests_ranging.md)
        * [M20 - MIB Download and Upload](labtests/M20_maple_olt_tests_mib.md)
        * [M21 - 2000 byte Frames](labtests/M21_maple_olt_tests_2000_byte_frames.md)
        * [M22 - Simultaneous Data and Video Streams](labtests/M22_maple_olt_tests_data_and_video.md)
        * [M23 - Overnight Traffic Test](labtests/M23_maple_olt_tests_overnight.md)
        * [M24 - Traffic Recovers After Fiber Disconnect (Best Effort)](labtests/M24_maple_olt_tests_ha_fiber_disconnect.md)
        * [M25 - Traffic Recovers After ONU Reset (Best Effort)](labtests/M25_maple_olt_tests_ha_onu_reset.md)
        * [M26 - Traffic Recovers After OLT Reset (Best Effort)](labtests/M26_maple_olt_tests_ha_olt_reset.md)
        * [M27 - Traffic Recovers After ToR Switch Reset (Best Effort)](labtests/M27_maple_olt_tests_ha_tor_switch_reset.md)    
    * [Tibit OLT Tests](labtests/T00_tibit_olt_tests.md)
        * [T1 - Preprovision and Activate OLT](labtests/T01_tibit_olt_tests_activate_olt.md)
        * [T2 - Activate ONU](labtests/T02_tibit_olt_tests_activate_onu.md)
        * [T3 - Manually Install EAPOL Forwarding Flows](labtests/T03_tibit_olt_tests_eapol_install.md)
        * [T4 - Test EAPOL In/Out Forwarding with OLT-OFTEST](labtests/T04_tibit_olt_tests_eapol_in_out.md)
        * [T5 - Manually Install All Forwarding Flows](labtests/T05_tibit_olt_tests_install_all_flows.md)
        * [T6 - Test unicast (Internet) access](labtests/T06_tibit_olt_tests_unicast.md)
        * [T7 - Test IGMP and multicast (Video) streams](labtests/T07_tibit_olt_tests_multicast.md)
        * [T8 - Reset Manually Added Flows and Launch ONOS](labtests/T08_tibit_olt_tests_start_onos.md)
        * [T9 - Verify RG Authentication Scenario](labtests/T09_tibit_olt_tests_verify_authentication.md)
        * [T10 - Verify DHCP Lookup](labtests/T10_tibit_olt_tests_verify_dhcp.md)
        * [T11 - Verify Unicast Access](labtests/T11_tibit_olt_tests_verify_unicast.md)
        * [T12 - Verify Multicast Access](labtests/T12_tibit_olt_tests_verify_multicast.md)
        * [T13 - Spirent - Verify Re-Write C-VID Upstream](labtests/T13_tibit_olt_tests_verify_cvid_upstream.md)
        * [T14 - Spirent - Verify Re-Write C-VID Downstream](labtests/T14_tibit_olt_tests_verify_cvid_downstream.md)
        * [T15 - Spirent - Verify 802.1ad (QinQ) Upstream](labtests/T15_tibit_olt_tests_verify_qinq_upstream.md)
        * [T16 - Spirent - Verify 802.1ad (QinQ) Downstream](labtests/T16_tibit_olt_tests_verify_qinq_downstream.md)
        * [T17 - Spirent - Verify IPv4 Unicast Streams Downstream](labtests/T17_tibit_olt_tests_verify_ipv4_downstream.md)
        * [T18 - Spirent - Verify IPv4 Unicast Streams Downstream Case2](labtests/T18_tibit_olt_tests_verify_ipv4_downstream_case2.md)
        * [T19 - 10k and 20k ONU Ranging](labtests/T19_tibit_olt_tests_ranging.md)
        * [T20 - MIB Download and Upload](labtests/T20_tibit_olt_tests_mib.md)
        * [T21 - 2000 byte Frames](labtests/T21_tibit_olt_tests_2000_byte_frames.md)
        * [T22 - Simultaneous Data and Video Streams](labtests/T22_tibit_olt_tests_data_and_video.md)
        * [T23 - Overnight Traffic Test](labtests/T23_tibit_olt_tests_overnight.md)
        * [T24 - Traffic Recovers After Fiber Disconnect (Best Effort)](labtests/T24_tibit_olt_tests_ha_fiber_disconnect.md)
        * [T25 - Traffic Recovers After ONU Reset (Best Effort)](labtests/T25_tibit_olt_tests_ha_onu_reset.md)
        * [T26 - Traffic Recovers After OLT Reset (Best Effort)](labtests/T26_tibit_olt_tests_ha_olt_reset.md)
        * [T27 - Traffic Recovers After ToR Switch Reset (Best Effort)](labtests/T27_tibit_olt_tests_ha_tor_switch_reset.md)    
    * [Previews of Upcoming Features](labtests/P00_previews.md)
        * [P1 - KPI Collection Through Voltha](labtests/P01_previews_kpi_collection.md)
        * [P2 - Voltha's Netconf API and Yang Definitions](labtests/P02_previews_yang_and_netconf.md)
        * [P3 - Voltha's Partial Readiness for Scale-out](labtests/P03_previews_scale_out.md)
